Method: projects.locations.runtimes.switch

マネージド ノートブック ランタイムを切り替えます。

HTTP リクエスト

POST https://notebooks.googleapis.com/v1/{name}:switch

パスパラメータ

パラメータ
name

string

必須。形式: projects/{projectId}/locations/{location}/runtimes/{runtimeId}

認可には、指定されたリソース name に対する次の IAM の権限が必要です。

  • notebooks.runtimes.switch

リクエストの本文

リクエストの本文には、次の構造のデータが含まれます。

JSON 表現
{
  "machineType": string,
  "acceleratorConfig": {
    object (RuntimeAcceleratorConfig)
  },
  "requestId": string
}
フィールド
machineType

string

マシンタイプ。

acceleratorConfig

object (RuntimeAcceleratorConfig)

アクセラレータ構成。

requestId

string

べき等リクエスト UUID。

レスポンスの本文

成功した場合、レスポンスの本文には Operation のインスタンスが含まれます。

認可スコープ

次の OAuth スコープのいずれかが必要です。

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/notebooks

詳細については、Authentication Overview をご覧ください。